Summary:	Ulogd - The userspace logging daemon for netfilter
Name:		ulogd
Version:	1.01
Release:	1mdk
License:	GPL
Group:		System/Kernel and hardware
URL:		http://gnumonks.org/projects/ulogd
Source:		http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
Patch1:		%{name}-1.01-logdir.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	postgresql-devel 
BuildRequires:	libpcap-devel
BuildRequires:	mysql-devel

%description
Ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4 firewalling subsystem. Ulogd is able to log packets in various
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.
                                                                                
%package mysql
Summary:	MySQL output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description mysql
Ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.
                                                                                
%package pgsql
Summary:	PostgreSQL output plugin for ulogd
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description pgsql
Ulogd-mysql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%prep
%setup -q
%patch1 -p1 -b .logdir

%build
%configure --with-mysql=/usr/lib/mysql --with-pgsql=/usr/lib/pgsql
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_libdir}/ulogd
mkdir -p %{buildroot}/%{_sbindir}/sbin
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install ulogd.init %{buildroot}/%{_sysconfdir}/rc.d/init.d/ulogd

mkdir -p %{buildroot}/var/log/ulogd

%post
chkconfig --add ulogd

%preun
chkconfig --del ulogd

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_sbindir}/ulogd
%config(noreplace) %{_sysconfdir}/ulogd.conf
%attr(0755,root,root) %config(noreplace) %{_sysconfdir}/rc.d/init.d/ulogd
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_PCAP.so
%doc COPYING AUTHORS README
%doc doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html
%dir /var/log/ulogd

%files mysql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(0644,root,root,0755)
%{_libdir}/ulogd/ulogd_PGSQL.so

%changelog
* Tue Sep 02 2003 Marcel Pol <mpol@gmx.net> 1.01-1mdk
- 1.01
- drop patch0
- rediff and rename patch1

* Tue May 27 2003 Marcel Pol <mpol@gmx.net> 1.00-1mdk
- initial mandrake rpm with specfile from Harald Welte
